Groovy Documentation

## org.codehaus.groovy.grails.web.sitemesh
[Java] Class GSPSitemeshPage

    java.lang.Object
      com.opensymphony.module.sitemesh.parser.AbstractHTMLPage
          org.codehaus.groovy.grails.web.sitemesh.GSPSitemeshPage

All Implemented Interfaces:
  Content

    public class GSPSitemeshPage
    extends AbstractHTMLPage

Grails/GSP specific implementation of Sitemesh's AbstractHTMLPage g:capture* tags in RenderTagLib are used to capture head, meta, title, component & body contents. No html parsing is required for templating since capture tags are added at GSP compilation time.

Authors:
  Lari Hotari, Sagire Software Oy

See Also:
  SitemeshPreprocessor

Method Summary
`void` | `addProperty(java.lang.String name, java.lang.Object value)`
`void` | `addProperty(java.lang.String name, java.lang.String value)`
`java.lang.String` | `getBody()`

`java.lang.Object`

`getContentBuffer(java.lang.String name)`

@return

Parameters:
  `name` - propertyName of contentBuffer (with "page." prefix)

`java.lang.String` | `getHead()`
`java.lang.String` | `getPage()`
`boolean` | `isUsed()`
`int` | `originalLength()`
`void` | `setBodyBuffer(StreamCharBuffer bodyBuffer)`
`void` | `setContentBuffer(java.lang.String tagName, StreamCharBuffer buffer)` @param tagName "tagName" name of buffer (without "page." prefix)
`void` | `setHeadBuffer(StreamCharBuffer headBuffer)`
`void` | `setPageBuffer(StreamCharBuffer pageBuffer)`
`void` | `setUsed(boolean used)`
`void` | `writeBody(java.io.Writer out)`
`void` | `writeHead(java.io.Writer out)`
`void` | `writeOriginal(java.io.Writer writer)`
`void` | `writePage(java.io.Writer out)`

Method Detail

### addProperty

    public void addProperty(java.lang.String name, java.lang.Object value)

### addProperty

    @Override
    public void addProperty(java.lang.String name, java.lang.String value)

### getBody

    @Override
    public java.lang.String getBody()

### getContentBuffer

    public java.lang.Object getContentBuffer(java.lang.String name)

  Parameters:
    `name` - propertyName of contentBuffer (with "page." prefix)
  Returns:

### getHead

    public java.lang.String getHead()

### getPage

    @Override
    public java.lang.String getPage()

### isUsed

    public boolean isUsed()

### originalLength

    public int originalLength()

### setBodyBuffer

    public void setBodyBuffer(StreamCharBuffer bodyBuffer)

### setContentBuffer

    public void setContentBuffer(java.lang.String tagName, StreamCharBuffer buffer)

  Parameters:
    `tagName` - "tagName" name of buffer (without "page." prefix)
    buffer

### setHeadBuffer

    public void setHeadBuffer(StreamCharBuffer headBuffer)

### setPageBuffer

    public void setPageBuffer(StreamCharBuffer pageBuffer)

### setUsed

    public void setUsed(boolean used)

### writeBody

    @Override
    public void writeBody(java.io.Writer out)

### writeHead

    @Override
    public void writeHead(java.io.Writer out)

### writeOriginal

    public void writeOriginal(java.io.Writer writer)

### writePage

    @Override
    public void writePage(java.io.Writer out)

Groovy Documentation